#!/bin/sh
###############################################################################
## SMILEHOUSE WORKSPACE INSTALLER LAUNCHER SCRIPT     (C) SMILEHOUSE OY 2002 ##
###############################################################################

echo "##############################################################################"
echo "#                 Welcome to Smilehouse Workspace installer!                 #"
echo "##############################################################################"
echo
echo "Installer shall check first few basic settings before continuing"
echo

if [ ! -f ../../bin/workspace_installer.jar ]; then
    echo "JAR file not found! Aborting ..."
    exit -1
fi

if [ ! $JAVA_HOME ]; then
    echo "No \$JAVA_HOME! Aborting ..."
    exit -1
fi

if [ ! $CATALINA_HOME ]; then
    echo "No \$CATALINA_HOME! Aborting ..."
    exit -1
fi

echo "You should have at least JDBC driver in your classpath."
echo "\$CLASSPATH is as follows:"
echo
echo "\$CLASSPATH=$CLASSPATH"
echo
echo -n "Are you comfortable with this issue? [y/N] "

NEWPATH=../../bin/workspace_installer.jar:$JAVA_HOME/jre/lib/rt.jar

if [ ! $CLASSPATH ]; then
    CLASSPATH=$NEWPATH
else
    CLASSPATH=$NEWPATH:$CLASSPATH
fi

read -r SURE
if [ ! $SURE ] || [ $SURE != "y" ]; then
    exit -1
fi

# Find out screen size
SIZE=`stty size`
ROWS=`echo $SIZE | awk '{print $1}'`
COLUMNS=`echo $SIZE | awk '{print $2}'`

$JAVA_HOME/bin/java -cp $CLASSPATH -Dterminal.lines=$ROWS -Dterminal.columns=$COLUMNS -Dcatalina.home=$CATALINA_HOME smilehouse.workspace.installer2.Installer en UTF-8 $1
