# MySQL dump 9.11
#
# Host: localhost    Database: organization
# ------------------------------------------------------
# Server version	4.0.23_Debian-4

#
# LiquiBase
#

CREATE TABLE `DATABASECHANGELOG` (
  `ID` varchar(63) NOT NULL,
  `AUTHOR` varchar(63) NOT NULL,
  `FILENAME` varchar(200) NOT NULL,
  `DATEEXECUTED` datetime NOT NULL,
  `MD5SUM` varchar(32) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  `COMMENTS` varchar(255) default NULL,
  `TAG` varchar(255) default NULL,
  `LIQUIBASE` varchar(10) default NULL,
  PRIMARY KEY (`ID`,`AUTHOR`,`FILENAME`)
) TYPE=MyISAM;

CREATE TABLE `DATABASECHANGELOGLOCK` (
  `ID` int(11) NOT NULL,
  `LOCKED` tinyint(1) NOT NULL,
  `LOCKGRANTED` datetime default NULL,
  `LOCKEDBY` varchar(255) default NULL,
  PRIMARY KEY (`ID`)
) TYPE=MyISAM;

#
# System module
#

CREATE TABLE Users (
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  UserID varchar(40) NOT NULL,
  Name varchar(120),
  EMail varchar(80),
  GSM varchar(40),
  Password varchar(40) NOT NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

CREATE TABLE UserRight(
  userId bigint(20) NOT NULL, 
  accessZone varchar(40) NOT NULL, 
  PRIMARY KEY (userId, accessZone)
) TYPE=MyISAM;


# 
# End of System module
# 


# 
# Visual module
# 


CREATE TABLE `Theme` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `priceGroup` int(2) NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

CREATE TABLE `Page` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `themeId` bigint(20) NOT NULL,
  `typeId` bigint(20) NOT NULL,
  `name` varchar(255),
  `content` text,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

CREATE TABLE `Elements` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Position` int(3) NOT NULL,
  `TypeID` bigint(20),
  `Html` text,
  `Style` text,
  `Structure` text,
  `Text` text,
  `Pictures` text,
  `CustomerData` text,
  `pageId` bigint(20) NOT NULL,
  `Name` varchar(255),
  `CheckboxAnswers` text,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

CREATE TABLE ProductListTemplates (
  ElementID int(11) NOT NULL,
  StartHTML text,
  ProductHTML text,
  EndHTML text,
  GroupingHTML text,
  GroupSize int(11) NOT NULL,
  ProductPageLinkText varchar(200),
  AddButtonURL varchar(200),
  QuantityFieldSize int(11) NOT NULL,
  ProductPromotionGroupID bigint(20),
  NameMaxLength int(11) NOT NULL,
  NameLink int(2) NOT NULL,
  UsePaging int(11) NOT NULL,
  ProductsPerPage int(2) NOT NULL,
  NextPageLinkText text,
  PrevPageLinkText text,
  SaveButton text,
  RestoreButton text,
  UpdateButton text,
  DeleteItemButton text,
  DeleteAllButton text,
  OrderStatusSelector bigint(20),
  PictureLink int(2) NOT NULL,
  IdLink int(2) NOT NULL,
  ErrorHTML text,
  PromotionCriteria tinyint(2) NOT NULL,
  SearchQuery text,
  DescriptionMaxLength int(11) NOT NULL,
  AddAllButton text,
  OrderButton text,
  AddItemButton text,
  UpdateItemButton text,
  AddToWishlistButton text,
  AddAllWishlistButton text,
  AddWishlistButtonURL text,
  PRIMARY KEY  (ElementID)
) TYPE=MyISAM;


# 
# End of Visual module
# 


# 
# Question module
# 

create table QuestionCollection (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	name varchar(64) NOT NULL,
	PRIMARY KEY  (id)
) TYPE=MyISAM;

create table Question (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	clientMode varchar(16) NOT NULL,
	collectionId bigint(20),
	customerEnabled tinyint(1) NOT NULL,
	orderEnabled tinyint(1) NOT NULL,
	position int(11),
	required tinyint(1) NOT NULL,
	discriminatorType bigint(20) NOT NULL,
	usedInMatchingEnabled tinyint(1) NOT NULL,
	typeId bigint(20) NOT NULL,
	PRIMARY KEY  (id)
) TYPE=MyISAM;

create table QuestionValidator (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	discriminator varchar(64) NOT NULL,
	enabled tinyint(1) NOT NULL,
	maxLength int(11),
	minLength int(11),
	questionId bigint(20) NOT NULL,
	whitelist text,
	PRIMARY KEY (id)
) TYPE=MyISAM;

create table QuestionVersion (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	label text NOT NULL,
	position int(11) NOT NULL,
	questionId bigint(20) NOT NULL,
	PRIMARY KEY (id)
) TYPE=MyISAM;

create table QuestionSetting (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	name varchar(64) NOT NULL,
	questionVersionId bigint(20) NOT NULL,
	value text,
	PRIMARY KEY (id)
) TYPE=MyISAM;

create table Answer (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	value text,
	customerId bigint(20),
	orderId bigint(20),
	position int(11) NOT NULL,
	questionId bigint(20),
	questionVersionId bigint(20),
	typeId bigint(20) NOT NULL,
	PRIMARY KEY (id)
) TYPE=MyISAM;


# 
# End of Question module
# 


# 
# Customer module
# Dependencies: Question module, System module, Visual module
# 

create table CustomerGroup (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	name varchar(255) NOT NULL,
	priceGroup int(2),
	themeId bigint(20),
	PRIMARY KEY (id)
) TYPE=MyISAM;

create table Customer (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	averageProducts double NOT NULL,
	averageSum double NOT NULL,
	contactPersonId bigint(20),
	created datetime NOT NULL,
	customerNumber varchar(40) NOT NULL,
	lastVisit datetime,
	login varchar(100) binary,
	password varchar(100),
	primaryGroupId bigint(20),
	timesVisited int(11) NOT NULL,
	totalSum double NOT NULL,
	customerModified datetime,
	adminModified datetime,
	adminId bigint(20),
	PRIMARY KEY (id)
) TYPE=MyISAM;

create table CustomerCustomerGroup (
	customerId bigint(20) NOT NULL,
	groupId bigint(20) NOT NULL,
	PRIMARY KEY (customerId, groupId)
) TYPE=MyISAM;

create table CustomerComment (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	customerComment text NOT NULL,
	created date NOT NULL,
	creatorId bigint(20) NOT NULL,
	customerId bigint(20) NOT NULL,
	PRIMARY KEY (id)
) TYPE=MyISAM;

create table Wishlist (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	customerId bigint(20) NOT NULL,
	name varchar(50) NOT NULL,
	PRIMARY KEY (id)
) TYPE=MyISAM;

create table WishlistItem (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	wishlistId bigint(20) NOT NULL,
	productItemCode text NOT NULL,
	quantity int(11) NOT NULL,
	choices text,
	PRIMARY KEY (id)
) TYPE=MyISAM;

# 
# End of Customer module
# 


#
# Product module (VAT-related tables)
#

CREATE TABLE VatRegion (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	countryCodes TEXT,
	name VARCHAR(100) NOT NULL,
	PRIMARY KEY (id)
) TYPE=MyISAM;

CREATE TABLE VatCategory (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	defaultRegionId bigint(20) NOT NULL,
	name VARCHAR(100) NOT NULL,
	PRIMARY KEY (id)
) TYPE=MyISAM;

CREATE TABLE Vat (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	rate DOUBLE NOT NULL,
	vatCategoryId bigint(20),
	vatRegionId bigint(20),
	PRIMARY KEY (id)
) TYPE=MyISAM;

#
# End of Product module
#


#
# Table structure for table `Basket`
#

CREATE TABLE Basket (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  itemCode text,
  productId bigint(20),
  productName text,
  quantity int(11),
  price double,
  weight double,
  vat double,
  total double,
  totalweight double,
  sessionId varchar(64),
  orderId bigint(20),
  customerId varchar(40),
  theme int(11),
  groupId bigint(20),
  openField1 text,
  openField2 text,
  openField3 text,
  openField4 text,
  openField5 text,
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `Basket`
#


#
# Table structure for table `BasketOption`
#

CREATE TABLE BasketOption (
  basket bigint(20) NOT NULL,
  choice text,
  position int(11) NOT NULL,
  PRIMARY KEY (basket,position)
) TYPE=MyISAM;

#
# Dumping data for table `BasketOption`
#

#
# Table structure for table `ClientIPRule`
#

CREATE TABLE ClientIPRule (
  IPAddress varchar(30) NOT NULL,
  SubnetMask varchar(30) NOT NULL,
  Allow int(1) NOT NULL,
  RuleID int(5) NOT NULL,
  PRIMARY KEY (IPAddress,SubnetMask,Allow,RuleID)
) TYPE=MyISAM;


# 
# Table structure for table `Coupon`
#

CREATE TABLE Coupon (
  	id bigint(20) NOT NULL AUTO_INCREMENT,
  	typeId bigint(20) NOT NULL,
  	code varchar(255) NOT NULL,
  	generated date NOT NULL,
  	given tinyint(1) NOT NULL,
  	givenTo varchar(255),
  	groupId bigint(20) NOT NULL,
  	name varchar(255) NOT NULL,
  	priceRangeMin double,
  	priceRangeMax double,
  	priceRule varchar(100) NOT NULL,
  	productCodes text,
  	itemCode varchar(50),
  	sumAfterActivate double,
  	used date,
  	usedCount int(11) NOT NULL,
  	validUntil date,
  	PRIMARY KEY (id)
) TYPE=MyISAM;

# 
# Table structure for table `CouponGroup`
#

CREATE TABLE CouponGroup (
  	id bigint(20) NOT NULL AUTO_INCREMENT,
  	title varchar(255) NOT NULL,
  	PRIMARY KEY (id)
) TYPE=MyISAM;


CREATE TABLE DatabaseVersion (
	version bigint(20) NOT NULL,
	PRIMARY KEY (version)
) TYPE=MyISAM;

#
# Table structure for table `ELogi`
#

CREATE TABLE ELogi (
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  Status int(1) NOT NULL,
  orderId BIGINT(20) NOT NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `ELogi`
#



#
# Table structure for table `IPRule`
#

CREATE TABLE IPRule (
  IPAddress varchar(30) NOT NULL,
  SubnetMask varchar(30) NOT NULL,
  Allow int(1) NOT NULL,
  RuleID int(5) NOT NULL,
  PRIMARY KEY (IPAddress,SubnetMask,Allow,RuleID)
) TYPE=MyISAM;

#
# Dumping data for table `IPRule`
#


#
# Table structure for table `MessageEvents`
#

CREATE TABLE MessageEvents (
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  KeyField varchar(255),
  MessageTemplate bigint(20),
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `MessageEvents`
#


#
# Table structure for table `MessageReceivers`
#

CREATE TABLE MessageReceivers (
  MessageID bigint(20) NOT NULL,
  UserID varchar(255)
) TYPE=MyISAM;

#
# Dumping data for table `MessageReceivers`
#


#
# Table structure for table `MessageTemplate`
#

CREATE TABLE MessageTemplate (
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  Name varchar(255),
  FromEmail varchar(255),
  ReplyTo varchar(255),
  ErrorsTo varchar(255),
  ReturnPath varchar(255),
  Subject varchar(255),
  MessagePlain text,
  MessageHtml text,
  ToCustomer tinyint(1),
  ToOther varchar(255),
  AttachHtml tinyint(1),
  AttachmentName varchar(255),
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `MessageTemplate`
#



#
# Table structure for table `Options`
#

CREATE TABLE Options (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Name varchar(200) NOT NULL,
  Info text,
  Value text,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `Options`
#


#
# Table structure for table `OrderHistory`
#

CREATE TABLE OrderHistory (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  status bigint(20),
  creationTime datetime,
  creator text,
  creatorComment text,
  orderId bigint(20),
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `OrderHistory`
#


#
# Table structure for table `OrderStatus`
#

CREATE TABLE OrderStatus (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  eventId text,
  name text,
  type int(11),
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `OrderStatus`
#


#
# Table structure for table `Ordr`
#

CREATE TABLE Ordr (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  customerId text,
  paymentMethod text,
  deliveryMethod text,
  referenceNumber text,
  total double,
  deliveryCost double,
  deliveryVat double,
  paymentCost double,
  paymentVat double,
  interestCost double,
  interestRate double,
  creationTime datetime,
  followUp text,
  handlingStatus bigint(20),
  paymentStatus bigint(20),
  currPrimaryLabel text,
  currSecondaryLabel text,
  currPrimaryDecimals int(11),
  currSecondaryDecimals int(11),
  currRelation double,
  currClientFormat int(11),
  currAdminFormat int(11),
  cancelled tinyint(1) NOT NULL,
  currPrimaryCode varchar(255),
  currSecondaryCode varchar(255),
  currPrimarySeparator char(1),
  currSecondarySeparator char(1),
  paymentCode text,
  deliveryCode text,
  orderNumber bigint(20) NOT NULL,
  ipaddress varchar(80),
  paymentTransaction bigint(20),
  PRIMARY KEY (id)
) TYPE=MyISAM;


CREATE TABLE OrderNumberSequence (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	info varchar(10),
	PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `Ordr`
#


#
# Table structure for table `Payment`
#

CREATE TABLE Payment (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  paymentId varchar(40) NOT NULL,
  Name varchar(255) NOT NULL,
  Description text,
  ClassName varchar(60) NOT NULL,
  Cost double NOT NULL,
  Active tinyint(1) NOT NULL,
  PrivateKey text,
  PublicKey text,
  Position int(11) NOT NULL,
  PaymentCode varchar(40),
  Internal tinyint(1) NOT NULL,
  External tinyint(1) NOT NULL,
  vatCategoryId bigint(20) NOT NULL,
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `Payment`
#


#
# Table structure for table `PrinettiTemplate`
#

CREATE TABLE PrinettiTemplate (
  id bigint (20) NOT NULL AUTO_INCREMENT,
  name varchar (50) binary NOT NULL,
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `PrinettiTemplate`
#


#
# Table structure for table `PrinettiTemplateSetting`
#

CREATE TABLE PrinettiTemplateSetting (
  id bigint (20) NOT NULL AUTO_INCREMENT,
  templateId bigint (20) NOT NULL,
  name varchar (50) NOT NULL,
  value text,
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `PrinettiTemplateSetting`
#


#
# Table structure for table `Product`
#

CREATE TABLE Product (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  settings bigint(20),
  itemCode varchar(255) BINARY NOT NULL,
  name text,
  price double,
  weight double,
  height double,
  width double,
  depth double,  
  unitPrice double,
  unitType text,
  packetSize int(11),
  packetType text,
  defaultAmount int(11),
  minAmount int(11),
  maxAmount int(11),
  created datetime,
  lastModified datetime,
  modifier text,
  visible tinyint(1),
  supplierId text,
  supplierName text,
  supplierItemCode text,
  manufacturerId text,
  manufacturerName text,
  manufacturerItemCode text,
  title1 text,
  title2 text,
  title3 text,
  title4 text,
  slogan1 text,
  slogan2 text,
  slogan3 text,
  slogan4 text,
  textInfo1 text,
  textInfo2 text,
  textInfo3 text,
  textInfo4 text,
  picture1Upload text,
  picture1ReferenceURL text,
  picture1Alt text,
  picture2Upload text,
  picture2ReferenceURL text,
  picture2Alt text,
  picture3Upload text,
  picture3ReferenceURL text,
  picture3Alt text,
  picture4Upload text,
  picture4ReferenceURL text,
  picture4Alt text,
  picture5Upload text,
  picture5ReferenceURL text,
  picture5Alt text,
  file1Upload text,
  file1ReferenceURL text,
  file1LinkText text,
  file2Upload text,
  file2ReferenceURL text,
  file2LinkText text,
  file3Upload text,
  file3ReferenceURL text,
  file3LinkText text,
  file4Upload text,
  file4ReferenceURL text,
  file4LinkText text,
  file5Upload text,
  file5ReferenceURL text,
  file5LinkText text,
  priceGroupRule1 text,
  priceGroupRule2 text,
  priceGroupRule3 text,
  priceGroupRule4 text,
  priceGroupRule5 text,
  priceGroupRule6 text,
  priceGroupRule7 text,
  priceGroupRule8 text,
  priceGroupRule9 text,
  priceGroupRule10 text,
  openField1 text,
  openField2 text,
  openField3 text,
  openField4 text,
  openField5 text,
  openField6 text,
  openField7 text,
  openField8 text,
  openField9 text,
  openField10 text,
  openField11 text,
  openField12 text,
  openField13 text,
  openField14 text,
  openField15 text,
  openField16 text,
  openField17 text,
  openField18 text,
  openField19 text,
  openField20 text,
  alarmText text,
  inventoryName text,
  alarmLimit int(11),
  amount int(11),
  section text,
  shelf text,
  purchasePrice double,
  amountFactor int(11) NOT NULL,
  vatCategoryId bigint(20) NOT NULL,
  `productType` bigint(20),
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `Product`
#

#
# Table structure for table `ProductFieldLabel`
#

CREATE TABLE `ProductFieldLabel` (
    `productType` bigint(20) NOT NULL,
    `field` VARCHAR(255) NOT NULL,
    `label` VARCHAR(255),
    PRIMARY KEY (`productType`, `field`)
) TYPE=MyISAM;

#
# Table structure for table `ProductGroup`
#

CREATE TABLE ProductGroup (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  name text,
  groupCode text,
  visible tinyint(1),
  picture1Alt text,
  picture1URL text,
  picture1Upload text,
  infoText text,
  infoTextVisible tinyint(1),
  parent bigint(20),
  productAmount int(11),
  position int(11),
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `ProductGroup`
#

#
# Table structure for table `ProductOption`
#

CREATE TABLE ProductOption (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  name text,
  parentProduct bigint(20) NOT NULL,
  position int(11),
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `ProductOption`
#


#
# Table structure for table `ProductOptionChoice`
#

CREATE TABLE ProductOptionChoice (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  parentOption bigint(20) NOT NULL,
  priceChange text,
  itemCodeChange text,
  optionAmount int(11),
  value text,
  position int(11),
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `ProductOptionChoice`
#


#
# Table structure for table `ProductSettings`
#

CREATE TABLE ProductSettings (
  id bigint(20) NOT NULL,
  pricesContainVat tinyint(1) NOT NULL,
  commonPictureURL text,
  commonFileURL text,
  defaultPictureAlt text,
  defaultPictureReferenceURL text,
  defaultPictureUpload text,
  stockRemovalPolicy int(11) NOT NULL,
  stockReturnPolicy int(11) NOT NULL,
  stockHidePolicy int(11) NOT NULL,
  useAlarmTexts int(11) NOT NULL,
  useAmountRestrictions int(11) NOT NULL,
  keyForDirectLink text NOT NULL,
  useOptionBasedVisibility int(11) NOT NULL,
  useContractPricing  int(11) NOT NULL,
  productRoundingPolicy int(11) NOT NULL,
  useScalingPicture1 int(11) NOT NULL,
  useScalingPicture2 int(11) NOT NULL,
  useScalingPicture3 int(11) NOT NULL,
  useScalingPicture4 int(11) NOT NULL,
  useScalingPicture5 int(11) NOT NULL,
  thumbnailHeightPicture1 int(11) NOT NULL,
  thumbnailHeightPicture2 int(11) NOT NULL,
  thumbnailHeightPicture3 int(11) NOT NULL,
  thumbnailHeightPicture4 int(11) NOT NULL,
  thumbnailHeightPicture5 int(11) NOT NULL,
  thumbnailWidthPicture1 int(11) NOT NULL,
  thumbnailWidthPicture2 int(11) NOT NULL,
  thumbnailWidthPicture3 int(11) NOT NULL,
  thumbnailWidthPicture4 int(11) NOT NULL,
  thumbnailWidthPicture5 int(11) NOT NULL,
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `ProductSettings`
#


#
# Table structure for table `ProductSettingsSearchedProps`
#

CREATE TABLE ProductSettingsSearchedProps (
  ProductSettingsId bigint(20) NOT NULL,
  property text
) TYPE=MyISAM;

#
# Dumping data for table `ProductSettingsSearchedProps`
#

#
# Table structure for table `ProductType`
#

CREATE TABLE `ProductType` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT,
    `code` VARCHAR(40) NOT NULL,
    `name` VARCHAR(255),
    `viewConfiguration` TEXT,
    PRIMARY KEY (`id`),
    UNIQUE (`code`)
) TYPE=MyISAM;




#
# Table structure for table 'QuantityPricingRule'
#
 
CREATE TABLE QuantityPricingRule (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  threshold int(11),
  priceRule varchar(255),
  parentProduct bigint(20) NOT NULL,
  position int(11),
  PRIMARY KEY (id)
) TYPE=MyISAM;


#
# Table structure for table `Settings`
#

CREATE TABLE Settings (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Name varchar(200) NOT NULL,
  Info text,
  Value text,
  Theme int(2) NOT NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `Settings`
#


#
# Table structure for table `Shopdata`
#

CREATE TABLE Shopdata (
  ID int(11) NOT NULL AUTO_INCREMENT,
  FirmID int(11) NOT NULL,
  Name varchar(100),
  LYCode varchar(40),
  Address varchar(120),
  Email1 varchar(120),
  Email2 varchar(120),
  LogoURL varchar(120),
  Email4 varchar(120),
  Puh1 varchar(40),
  Puh2 varchar(40),
  Fax1 varchar(40),
  Fax2 varchar(40),
  Sale varchar(40),
  Employees int(11) NOT NULL,
  PostalCode varchar(20),
  PostOffice varchar(60),
  Field varchar(120),
  Account1 varchar(120),
  Account2 varchar(120),
  WWW varchar(200),
  Country char(2) NOT NULL,
  AddressSpecifier varchar(120),
  City varchar(100),
  Name2 varchar(100),
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `Shopdata`
#


#
# Table structure for table `Transport`
#

CREATE TABLE Transport (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Name varchar(200) NOT NULL,
  Description varchar(200) NOT NULL,
  Cost double NOT NULL,
  Active tinyint(1) NOT NULL,
  Parameters text,
  Code varchar(20),
  Internal tinyint(1) NOT NULL,
  External tinyint(1) NOT NULL,
  Position int(11) NOT NULL,
  vatCategoryId bigint(20) NOT NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `Transport`
#

#
# Table structure for table `CostCalculator`
#

CREATE TABLE CostCalculator (
	 id bigint(20) NOT NULL AUTO_INCREMENT,
	 typeId bigint(20) NOT NULL,
	 parentId bigint(20),
	 listIndex bigint(20),
	 PRIMARY KEY (id)
 ) TYPE=MyISAM;

#
# Dumping data for table `CostCalculator`
#

#
# Table structure for table `CostCalculatorRule`
#

CREATE TABLE CostCalculatorRule (
	 id bigint(20) NOT NULL AUTO_INCREMENT,
	 typeId bigint(20) NOT NULL,
	 calculatorId bigint(20),
	 listIndex bigint(20) ,
	 matchCondition double NOT NULL,
	 priceRule varchar(255),
	 PRIMARY KEY (id)
 ) TYPE=MyISAM;


#
# Table structure for table `Versions`
#

CREATE TABLE Version (
  id bigint NOT NULL AUTO_INCREMENT,
  build bigint(20) NOT NULL,
  version varchar(20) NOT NULL,
  time timestamp(14) NOT NULL,
  product varchar(20) NOT NULL,
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Dumping data for table `Versions`
#

#
# Table structure for table 'PaymentTransaction'
#
                                                                                                                                                     
CREATE TABLE PaymentTransaction (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  orderId varchar(255),
  callerId varchar(255),
  reference varchar(255),
  paymentMethod varchar(255),
  currencyLabel varchar(255),
  returnUrl varchar(255),
  firstName varchar(255),
  lastName varchar(255),
  street varchar(255),
  zipCode varchar(255),
  city varchar(255),
  state varchar(255),
  countryCode varchar(255),
  phone varchar(255),
  email varchar(255),
  time datetime,
  status int(11),
  timedout tinyint(1),
  language varchar(25),
  PRIMARY KEY (id)
) TYPE=MyISAM;
 
#
# Table structure for table 'PaymentTransactionItem'
#
 
CREATE TABLE PaymentTransactionItem (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  code varchar(255),
  name varchar(255),
  price double,
  quantity int(11),
  transactionId bigint(20),
  position int(11),
  PRIMARY KEY (id)
) TYPE=MyISAM;
 
#
# Table structure for table 'PaymentTransactionHistory'
#
 
CREATE TABLE PaymentTransactionHistory (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  time datetime,
  type int(11),
  details text,
  transactionId bigint(20),
  position int(11),
  transactionStatus int(11),
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Table structure for table 'ProductGroupsAssociation'
#

CREATE TABLE ProductGroupAssociation (
   id bigint(20) NOT NULL AUTO_INCREMENT,
   pid bigint(20),
   gid bigint(20),
   position int(11),
   PRIMARY KEY (id)
) TYPE=MyISAM;

# 
# Table structure for table '
#

create table PricingContract (id bigint NOT NULL AUTO_INCREMENT, itemCode varchar(255), customerId varchar(255), pricingContractGroup varchar(255), customerGroupId varchar(255), priceRule varchar(255), PRIMARY KEY (id));

#
# Table structure for table 'PaymentParameteres'
#

CREATE TABLE PaymentParameters (
  paymentId bigint(20) NOT NULL,
  Name varchar(40) NOT NULL,
  Value text,
  PRIMARY KEY (paymentId,Name)
) TYPE=MyISAM;

#
# Table structure for table `Identification`
#

CREATE TABLE Identification (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  code varchar(20) NOT NULL,
  name text,
  description text,
  active tinyint(1) NOT NULL,
  PRIMARY KEY (id)
) TYPE=MyISAM;



#
# Table structure for table `IdentificationTransaction`
#

CREATE TABLE IdentificationTransaction (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  callerId varchar(255),
  time datetime,
  identificationMethod varchar(255),
  returnUrl text,
  status int(11),
  PRIMARY KEY (id)
) TYPE=MyISAM;


#
# Table structure for table `IdentificationParameters`
#

CREATE TABLE IdentificationParameters (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  method bigint(20) NOT NULL,
  name varchar(30) NOT NULL,
  value text NOT NULL,
  PRIMARY KEY (id)
) TYPE=MyISAM;

#
# Table structure for table `IdentificationHistory`
#
CREATE TABLE `IdentificationHistory` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `time` datetime,
  `type` int(11),
  `details` text,
  `identificationStatus` int(11),
  `transactionId` bigint(20),
  `position` int(11),
  PRIMARY KEY (`id`)
) TYPE=MyISAM;


#
# Table structure for table `PaymentTransactionProperty`
#

CREATE TABLE PaymentTransactionProperty (
  transactionId bigint(20) NOT NULL,
  value varchar(255),
  name varchar(255) NOT NULL,
  PRIMARY KEY (transactionId,name)
) TYPE=MyISAM;


#
# Table structure for table `GLAbstractRec`
#

CREATE TABLE GLAbstractRec (
	id BIGINT(20) NOT NULL AUTO_INCREMENT,
	typeId BIGINT(20) NOT NULL,
	email  VARCHAR(150) NOT NULL,
 	csvVars TEXT,
 	customerId BIGINT(20),
 	emailMessageId BIGINT(20),
 	listIndex BIGINT(20),
	emailSourceContainerId BIGINT(20),
	cSRContainerId BIGINT(20),
	oSRContainerId BIGINT(20),
	orderId BIGINT(20),
	PRIMARY KEY (id)
 	) TYPE = MyISAM;


#
# Table structure for table `GLAbstractRestr`
#

CREATE TABLE GLAbstractRestr(
	id BIGINT(20) NOT NULL AUTO_INCREMENT,
	typeId BIGINT(20),  
	blacklistId BIGINT(20),
	email  VARCHAR(150) NOT NULL,
	containerId BIGINT(20),
	PRIMARY KEY (id)
	)TYPE = MyISAM	;

 
#
# Table structure for table `GLEmailSource`
#
CREATE TABLE GLEmailSource (
	 id BIGINT(20) NOT NULL AUTO_INCREMENT, 
	 typeId BIGINT(20) NOT NULL, 
	 name  VARCHAR(150) NOT NULL,
	 sourceContainerId BIGINT(20),  
 	 restrictionContainerId BIGINT(20),  
	 errors BIGINT(20),
	 created TIMESTAMP,
	 PRIMARY KEY (id)
	 ) TYPE = MyISAM;
 
#
# Table structure for table `GLSourceContainer`
#

CREATE TABLE GLSourceContainer(
	id BIGINT(20) NOT NULL AUTO_INCREMENT,
	selectedGroups BIGINT(20),  
	blacklistOn TINYINT(1), 
	customerCheckOn TINYINT(1), 
	creationTimestamp BIGINT(20),
	additionalRestrictionsId BIGINT(20), 
	additionalEmailsId BIGINT(20),	
	userId BIGINT(20) NOT NULL,
	PRIMARY KEY (id)
	) TYPE = MyISAM;
#
# Table structure for table `GLCustomerGroup`
#

CREATE TABLE GLCustomerGroup(
	customerGroup BIGINT(20) , 
	containerId BIGINT(20)
	)TYPE = MyISAM;

#
# Table structure for table `GLMailingList`
#

CREATE TABLE GLMailingList(
	id BIGINT(20) NOT NULL AUTO_INCREMENT,
	containerId BIGINT(20) NOT NULL,
	emailFrom VARCHAR(150),
	emailReplyTo VARCHAR(150),
	emailReturnPath VARCHAR(150),
	emailErrorsTo VARCHAR(150),
	subject VARCHAR(255),
	message TEXT,
	htmlMessage TEXT,
	attachmentName VARCHAR(100),
	locked TINYINT(1),
	startTime datetime,
	total BIGINT(20),
	successCounter BIGINT(20),
	errorCounter BIGINT(20),
	PRIMARY KEY (id)
	) TYPE = MyISAM;


#
# Table structure for table `GLEmailMessage`
#
	
CREATE TABLE GLEmailMessage(
	id BIGINT(20) NOT NULL AUTO_INCREMENT,
 	mailQueueId BIGINT(20),
 	sent TINYINT(1) NOT NULL,
 	email VARCHAR(150) NOT NULL,
 	PRIMARY KEY (id)
 	) TYPE = MyISAM;
		
#
# Table structure for table 'GLProductBlock'
#
	
CREATE TABLE GLProductBlock (
	id bigint(20) NOT NULL auto_increment,
	mailingListId bigint(20) NOT NULL references GLMailingList.id,
	listIndex int(11) NOT NULL,
	PRIMARY KEY (id)
) TYPE=MyISAM;
	
#
# Table structure for table 'GLProduct'
#

create table GLProduct(
	productId bigint(20) not null references Product.id,
	productBlockId bigint(20) NOT NULL references GLProductBlock.id
	) TYPE = MyISAM;


create table StatGroupVisit (
	ID bigint NOT NULL AUTO_INCREMENT, 
	Created datetime, 
	WeekOfYear integer, 
	DayOfMonth integer, 
	DayOfWeek integer, 
	HourOfDay integer, 
	GroupPath varchar(255), 
	PRIMARY KEY (ID)
) TYPE=MyISAM;

create table StatOrder (
	ID bigint NOT NULL AUTO_INCREMENT, 
	modified datetime, 
	WeekOfYear integer, 
	DayOfMonth integer, 
	DayOfWeek integer, 
	HourOfDay integer, 
	GroupPath varchar(255), 
	ProductName varchar(255), 
	Quantity integer, 
	Sum double precision, 
	OrderId bigint, 
	PRIMARY KEY (ID)
) TYPE=MyISAM;

create table StatVisit (
	ID bigint NOT NULL AUTO_INCREMENT, 
	Created datetime, 
	WeekOfYear integer, 
	DayOfMonth integer, 
	DayOfWeek integer, 
	HourOfDay integer, 
	Referer varchar(255), 
	PRIMARY KEY (ID)
) TYPE=MyISAM;
 
CREATE TABLE PluginOption (
  id int(11) NOT NULL AUTO_INCREMENT,
  name varchar(200) NOT NULL,
  description varchar(200),
  value text,
  PRIMARY KEY (id)
) TYPE=MyISAM;

CREATE TABLE AccountCookie (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	customerId bigint(20),
	cookie varchar(100) NOT NULL,
	listIndex int(11),
	PRIMARY KEY (id)
) TYPE=MyISAM;
