--------------------------------------------------------------
-------------------Create and set sequences-------------------
--------------------------------------------------------------

--
-- System module
--

--SELECT 'CREATE SEQUENCE users_seq START WITH ' || (SELECT MAX(id)+1 from Users) || ';' FROM DUAL
CREATE SEQUENCE users_seq START WITH 2
/

CREATE OR REPLACE TRIGGER tr_users
BEFORE INSERT ON Users
FOR EACH ROW WHEN (
	new.ID IS NULL
)
BEGIN
	SELECT users_seq.nextval
	INTO :new.ID
	FROM dual;
END;
/

--*********************
-- End of System module
--********************* 
--******************************************************* 
-- Visual module
--******************************************************* 

--
-- Table structure for table 'Theme'
--

--SELECT 'CREATE SEQUENCE theme_seq START WITH ' || (SELECT MAX(id)+1 from Theme) || ';' FROM DUAL
CREATE SEQUENCE theme_seq START WITH 19
/

CREATE OR REPLACE TRIGGER tr_theme
	BEFORE INSERT ON Theme
	FOR EACH ROW
	WHEN ( new.id IS NULL OR new.id = 0 )
	BEGIN SELECT theme_seq.nextval INTO :new.id FROM dual;
END;
/

--SELECT 'CREATE SEQUENCE page_seq START WITH ' || (SELECT MAX(id)+1 from Page) || ';' FROM DUAL
CREATE SEQUENCE page_seq START WITH 287
/

CREATE OR REPLACE TRIGGER tr_page 
  BEFORE INSERT ON Page 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT page_seq.nextval INTO :new.id FROM dual; 
END;
/

--SELECT 'CREATE SEQUENCE elements_seq START WITH ' || (SELECT MAX(id)+1 from Elements) || ';' FROM DUAL
CREATE SEQUENCE elements_seq START WITH 5185
/

CREATE OR REPLACE TRIGGER tr_elements 
  BEFORE INSERT ON Elements 
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT elements_seq.nextval INTO :new.ID FROM dual; 
END;
/

-- 
-- End of Visual module
-- 


-- 
-- Question module
-- 

CREATE SEQUENCE questioncollection_seq START WITH 2
/

CREATE OR REPLACE TRIGGER tr_question_collection 
  BEFORE INSERT ON QuestionCollection 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT questioncollection_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE question_seq START WITH 14
/

CREATE OR REPLACE TRIGGER tr_question 
  BEFORE INSERT ON Question 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT question_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE questionvalidator_seq START WITH 20
/

CREATE OR REPLACE TRIGGER tr_question_validator 
  BEFORE INSERT ON QuestionValidator 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT questionvalidator_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE questionversion_seq START WITH 14
/

CREATE OR REPLACE TRIGGER tr_question_version 
  BEFORE INSERT ON QuestionVersion 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT questionversion_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE questionsetting_seq START WITH 12
/

CREATE OR REPLACE TRIGGER tr_question_setting 
  BEFORE INSERT ON QuestionSetting 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT questionsetting_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE answer_seq START WITH 57
/

CREATE OR REPLACE TRIGGER tr_answer 
  BEFORE INSERT ON Answer 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT answer_seq.nextval INTO :new.id FROM dual; 
END;
/

-- 
-- End of Question module
-- 


-- 
-- Customer module
-- Dependencies: Question module, System module, Visual module
-- 

CREATE SEQUENCE customergroup_seq START WITH 2
/

CREATE OR REPLACE TRIGGER tr_customer_group 
  BEFORE INSERT ON CustomerGroup 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT customergroup_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE customer_seq START WITH 107
/

CREATE OR REPLACE TRIGGER tr_customer 
  BEFORE INSERT ON Customer 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT customer_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE customercomment_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_customer_comment 
  BEFORE INSERT ON CustomerComment 
  FOR EACH ROW 
  WHEN ( new.id IS NULL ) 
  BEGIN SELECT customercomment_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE wishlist_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_wishlist 
  BEFORE INSERT ON Wishlist 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT wishlist_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE wishlistitem_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_wishlist_item 
  BEFORE INSERT ON WishlistItem 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT wishlistitem_seq.nextval INTO :new.id FROM dual; 
END;
/

-- 
-- End of Customer module
-- 


--
-- Product module (VAT-related tables)
--

CREATE SEQUENCE vatregion_seq START WITH 2
/

CREATE OR REPLACE TRIGGER tr_vat_region 
  BEFORE INSERT ON VatRegion 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT vatregion_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE vatcategory_seq START WITH 3
/

CREATE OR REPLACE TRIGGER tr_vat_category 
  BEFORE INSERT ON VatCategory 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT vatcategory_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE vat_seq START WITH 3
/

CREATE OR REPLACE TRIGGER tr_vat 
  BEFORE INSERT ON Vat 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT vat_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- End of Product module
--


--
-- Table structure for table `Basket`
--

CREATE SEQUENCE basket_seq START WITH 46
/

CREATE OR REPLACE TRIGGER tr_basket 
  BEFORE INSERT ON Basket 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT basket_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `Basket`
--


--
-- Table structure for table `BasketOption`
--

--
-- Dumping data for table `BasketOption`
--

--
-- Table structure for table `ClientIPRule`
--

-- 
-- Table structure for table `Coupon`
--

CREATE SEQUENCE coupon_seq START WITH 2
/

CREATE OR REPLACE TRIGGER tr_coupon 
  BEFORE INSERT ON Coupon 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT coupon_seq.nextval INTO :new.id FROM dual; 
END;
/

-- 
-- Table structure for table `CouponGroup`
--

CREATE SEQUENCE coupongroup_seq START WITH 2
/

CREATE OR REPLACE TRIGGER tr_coupon_group 
  BEFORE INSERT ON CouponGroup 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT coupongroup_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `ELogi`
--

CREATE SEQUENCE elogi_seq START WITH 2
/

CREATE OR REPLACE TRIGGER tr_elogi 
  BEFORE INSERT ON ELogi 
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT elogi_seq.nextval INTO :new.ID FROM dual; 
END;
/

--
-- Dumping data for table `ELogi`
--



--
-- Table structure for table `IPRule`
--

--
-- Dumping data for table `IPRule`
--


--
-- Table structure for table `MessageEvents`
--

CREATE SEQUENCE messageevents_seq START WITH 9
/

CREATE OR REPLACE TRIGGER tr_message_events 
  BEFORE INSERT ON MessageEvents 
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT messageevents_seq.nextval INTO :new.ID FROM dual; 
END;
/

--
-- Dumping data for table `MessageEvents`
--


--
-- Table structure for table `MessageReceivers`
--

--
-- Dumping data for table `MessageReceivers`
--


--
-- Table structure for table `MessageTemplate`
--

CREATE SEQUENCE messagetemplate_seq START WITH 10
/

CREATE OR REPLACE TRIGGER tr_message_template 
  BEFORE INSERT ON MessageTemplate 
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT messagetemplate_seq.nextval INTO :new.ID FROM dual; 
END;
/

--
-- Dumping data for table `MessageTemplate`
--



--
-- Table structure for table `Options`
--

CREATE SEQUENCE options_seq START WITH 315
/

CREATE OR REPLACE TRIGGER tr_options 
  BEFORE INSERT ON Options 
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT options_seq.nextval INTO :new.ID FROM dual; 
END;
/

--
-- Dumping data for table `Options`
--


--
-- Table structure for table `OrderHistory`
--

CREATE SEQUENCE orderhistory_seq START WITH 5
/

CREATE OR REPLACE TRIGGER tr_order_history 
  BEFORE INSERT ON OrderHistory 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT orderhistory_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `OrderHistory`
--


--
-- Table structure for table `OrderStatus`
--

CREATE SEQUENCE orderstatus_seq START WITH 17
/

CREATE OR REPLACE TRIGGER tr_order_status 
  BEFORE INSERT ON OrderStatus 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT orderstatus_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `OrderStatus`
--


--
-- Table structure for table `Ordr`
--

CREATE SEQUENCE ordr_seq START WITH 103
/

CREATE OR REPLACE TRIGGER tr_ordr 
  BEFORE INSERT ON Ordr 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT ordr_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE ordernumbersequence_seq START WITH 103
/

CREATE OR REPLACE TRIGGER tr_order_number_sequence 
  BEFORE INSERT ON OrderNumberSequence 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT ordernumbersequence_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `Ordr`
--


--
-- Table structure for table `Payment`
--

CREATE SEQUENCE payment_seq START WITH 36
/

CREATE OR REPLACE TRIGGER tr_payment 
  BEFORE INSERT ON Payment 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT payment_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `Payment`
--


--
-- Table structure for table `PrinettiTemplate`
--

CREATE SEQUENCE prinettitemplate_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_prinetti_template 
  BEFORE INSERT ON PrinettiTemplate 
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT prinettitemplate_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `PrinettiTemplate`
--


--
-- Table structure for table `PrinettiTemplateSetting`
--

CREATE SEQUENCE prinettitemplatesetting_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_prinetti_template_setting 
  BEFORE INSERT ON PrinettiTemplateSetting
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT prinettitemplatesetting_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `PrinettiTemplateSetting`
--


--
-- Table structure for table `Product`
--

CREATE SEQUENCE product_seq START WITH 419
/

CREATE OR REPLACE TRIGGER tr_product 
  BEFORE INSERT ON Product
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT product_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `Product`
--


--
-- Table structure for table `ProductGroup`
--

CREATE SEQUENCE productgroup_seq START WITH 299
/

CREATE OR REPLACE TRIGGER tr_product_group 
  BEFORE INSERT ON ProductGroup
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT productgroup_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `ProductGroup`
--

--
-- Table structure for table `ProductOption`
--

CREATE SEQUENCE productoption_seq START WITH 91
/

CREATE OR REPLACE TRIGGER tr_product_option 
  BEFORE INSERT ON ProductOption
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT productoption_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `ProductOption`
--


--
-- Table structure for table `ProductOptionChoice`
--

CREATE SEQUENCE productoptionchoice_seq START WITH 354
/

CREATE OR REPLACE TRIGGER tr_product_option_choice
  BEFORE INSERT ON ProductOptionChoice
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT productoptionchoice_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `ProductOptionChoice`
--


--
-- Table structure for table `ProductSettings`
--

--
-- Dumping data for table `ProductSettings`
--


--
-- Table structure for table `ProductSettingsSearchedProps`
--

--
-- Dumping data for table `ProductSettingsSearchedProps`
--


--
-- Table structure for table `ProductType`
--

CREATE SEQUENCE producttype_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_producttype
  BEFORE INSERT ON ProductType
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT producttype_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table 'QuantityPricingRule'
--

CREATE SEQUENCE quantitypricingrule_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_quantity_pricing_rule
  BEFORE INSERT ON QuantityPricingRule
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT quantitypricingrule_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `Settings`
--

CREATE SEQUENCE settings_seq START WITH 4181
/

CREATE OR REPLACE TRIGGER tr_settings
  BEFORE INSERT ON Settings
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT settings_seq.nextval INTO :new.ID FROM dual; 
END;
/

--
-- Dumping data for table `Settings`
--


--
-- Table structure for table `Shopdata`
--

CREATE SEQUENCE shopdata_seq START WITH 2
/

CREATE OR REPLACE TRIGGER tr_shopdata
  BEFORE INSERT ON Shopdata
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT shopdata_seq.nextval INTO :new.ID FROM dual; 
END;
/

--
-- Dumping data for table `Shopdata`
--


--
-- Table structure for table `Transport`
--

CREATE SEQUENCE transport_seq START WITH 8
/

CREATE OR REPLACE TRIGGER tr_transport
  BEFORE INSERT ON Transport
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT transport_seq.nextval INTO :new.ID FROM dual; 
END;
/

--
-- Dumping data for table `Transport`
--

--
-- Table structure for table `CostCalculator`
--

CREATE SEQUENCE costcalculator_seq START WITH 9
/

CREATE OR REPLACE TRIGGER tr_cost_calculator
  BEFORE INSERT ON CostCalculator
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT costcalculator_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `CostCalculator`
--

--
-- Table structure for table `CostCalculatorRule`
--

CREATE SEQUENCE costcalculatorrule_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_cost_calculator_rule
  BEFORE INSERT ON CostCalculatorRule
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT costcalculatorrule_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `Versions`
--

CREATE SEQUENCE version_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_version
  BEFORE INSERT ON Version
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT version_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Dumping data for table `Versions`
--

--
-- Table structure for table 'PaymentTransaction'
--

CREATE SEQUENCE paymenttransaction_seq START WITH 3
/

CREATE OR REPLACE TRIGGER tr_payment_transaction
  BEFORE INSERT ON PaymentTransaction
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT paymenttransaction_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table 'PaymentTransactionItem'
--

CREATE SEQUENCE paymenttransactionitem_seq START WITH 7
/

CREATE OR REPLACE TRIGGER tr_payment_transaction_item
  BEFORE INSERT ON PaymentTransactionItem
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT paymenttransactionitem_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table 'PaymentTransactionHistory'
--

CREATE SEQUENCE paymenttransactionhistory_seq START WITH 7
/

CREATE OR REPLACE TRIGGER tr_payment_transaction_h
  BEFORE INSERT ON PaymentTransactionHistory
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT paymenttransactionhistory_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table 'ProductGroupsAssociation'
--

CREATE SEQUENCE productgroupassociation_seq START WITH 129
/

CREATE OR REPLACE TRIGGER tr_product_group_a
  BEFORE INSERT ON ProductGroupAssociation
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT productgroupassociation_seq.nextval INTO :new.id FROM dual; 
END;
/

-- 
-- Table structure for table '
--

CREATE SEQUENCE pricingcontract_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_pricing_contract
  BEFORE INSERT ON PricingContract
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT pricingcontract_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table 'PaymentParameteres'
--

--
-- Table structure for table `Identification`
--

CREATE SEQUENCE identification_seq START WITH 6
/

CREATE OR REPLACE TRIGGER trentification
  BEFORE INSERT ON Identification
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT identification_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `IdentificationTransaction`
--

CREATE SEQUENCE identificationtransaction_seq START WITH 1
/

CREATE OR REPLACE TRIGGER trentification_t
  BEFORE INSERT ON IdentificationTransaction
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT identificationtransaction_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `IdentificationParameters`
--

CREATE SEQUENCE identificationparameters_seq START WITH 22
/

CREATE OR REPLACE TRIGGER trentification_p
  BEFORE INSERT ON IdentificationParameters
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT identificationpparameters_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `IdentificationHistory`
--

CREATE SEQUENCE identificationhistory_seq START WITH 1
/

CREATE OR REPLACE TRIGGER trentification_history
  BEFORE INSERT ON IdentificationHistory
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT identificationhistory_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `PaymentTransactionProperty`
--

--
-- Table structure for table `GLAbstractRec`
--

CREATE SEQUENCE glabstractrec_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_gl_abstract_rec
  BEFORE INSERT ON GLAbstractRec
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT glabstractrec_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `GLAbstractRestr`
--

CREATE SEQUENCE glabstractrestr_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_gl_abstract_restr
  BEFORE INSERT ON GLAbstractRestr
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT glabstractrestr_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `GLEmailSource`
--

CREATE SEQUENCE glemailsource_seq START WITH 2
/

CREATE OR REPLACE TRIGGER tr_gl_email_source
  BEFORE INSERT ON GLEmailSource
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT glemailsource_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `GLSourceContainer`
--

CREATE SEQUENCE glsourcecontainer_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_gl_source_container
  BEFORE INSERT ON GLSourceContainer
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT glsourcecontainer_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `GLCustomerGroup`
--

--
-- Table structure for table `GLMailingList`
--

CREATE SEQUENCE glmailinglist_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_gl_mailing_list
  BEFORE INSERT ON GLMailingList
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT glmailinglist_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table `GLEmailMessage`
--

CREATE SEQUENCE glemailmessage_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_gl_email_message
  BEFORE INSERT ON GLEmailMessage
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT glemailmessage_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table 'GLProductBlock'
--

CREATE SEQUENCE glproductblock_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_gl_product_block
  BEFORE INSERT ON GLProductBlock
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT glproductblock_seq.nextval INTO :new.id FROM dual; 
END;
/

--
-- Table structure for table 'GLProduct'
--

CREATE SEQUENCE statgroupvisit_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_stat_group_visit
  BEFORE INSERT ON StatGroupVisit
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT statgroupvisit_seq.nextval INTO :new.ID FROM dual; 
END;
/

CREATE SEQUENCE statorder_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_stat_order
  BEFORE INSERT ON StatOrder
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT statorder_seq.nextval INTO :new.ID FROM dual; 
END;
/

CREATE SEQUENCE statvisit_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_stat_visit
  BEFORE INSERT ON StatVisit
  FOR EACH ROW 
  WHEN ( new.ID IS NULL OR new.ID = 0 ) 
  BEGIN SELECT statvisit_seq.nextval INTO :new.ID FROM dual; 
END;
/

CREATE SEQUENCE pluginoption_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_plugin_option
  BEFORE INSERT ON PluginOption
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT pluginoption_seq.nextval INTO :new.id FROM dual; 
END;
/

CREATE SEQUENCE accountcookie_seq START WITH 1
/

CREATE OR REPLACE TRIGGER tr_account_cookie
  BEFORE INSERT ON AccountCookie
  FOR EACH ROW 
  WHEN ( new.id IS NULL OR new.id = 0 ) 
  BEGIN SELECT accountcookie_seq.nextval INTO :new.id FROM dual; 
END;
/
