--
-- The dropping of GroupLetter tables is added because of the
-- buggy database upgrade, which existed for the 1.8 version for a
-- while and might have been executed on some customer's databases
--

drop table if exists GLAbstractRec;
drop table if exists GLAbstractRestr;
drop table if exists GLBlacklist;
drop table if exists GLBlacklistEntry;
drop table if exists GLEmailSource;
drop table if exists GLRestrictionSource;
drop table if exists GLSourceContainer;
drop table if exists GLCustomerGroup;


CREATE TABLE GLAbstractRec (
	id BIGINT(20) NOT NULL PRIMARY KEY AUTO_INCREMENT,
	typeId BIGINT(20) NOT NULL,
	email  VARCHAR(150) NOT NULL,
 	csvVars TEXT,
 	customerId BIGINT(20),
 	emailMessageId BIGINT(20),
 	listIndex BIGINT(20),
	containerId BIGINT(20)
 	) TYPE = MyISAM;
  
CREATE TABLE GLAbstractRestr(
	id BIGINT(20) NOT NULL PRIMARY KEY AUTO_INCREMENT,
	typeId BIGINT(20) NOT NULL,  
	blacklistId BIGINT(20),
	email  VARCHAR(150) NOT NULL,
	containerId BIGINT(20) NOT NULL 
	)TYPE = MyISAM	;
 
CREATE TABLE GLEmailSource (
	 id BIGINT(20) NOT NULL PRIMARY KEY AUTO_INCREMENT, 
	 typeId BIGINT(20) NOT NULL, 
	 name  VARCHAR(150) NOT NULL,
	 sourceContainerId BIGINT(20),  
 	 restrictionContainerId BIGINT(20),  
	 errors BIGINT(20),
	 created TIMESTAMP
	 ) TYPE = MyISAM;
	 
INSERT INTO GLEmailSource VALUES (1,2,'blacklist',null,null,null,null);
  
CREATE TABLE GLSourceContainer(
	id BIGINT(20) NOT NULL PRIMARY KEY AUTO_INCREMENT,
	selectedGroups BIGINT(20),  
	blacklistOn TINYINT(1), 
	customerCheckOn TINYINT(1), 
	creationTimestamp BIGINT(20),
	additionalRestrictionsId BIGINT(20), 
	additionalEmailsId BIGINT(20)	
	) TYPE = MyISAM;
 
CREATE TABLE GLCustomerGroup(
	customerGroup BIGINT(20) , 
	containerId BIGINT(20)
	)TYPE = MyISAM;
 
CREATE TABLE GLMailingList(
	id BIGINT(20) NOT NULL PRIMARY KEY AUTO_INCREMENT,
	containerId BIGINT(20) NOT NULL,
	emailFrom VARCHAR(150),
	emailReplyTo VARCHAR(150),
	emailReturnPath VARCHAR(150),
	emailErrorsTo VARCHAR(150),
	subject VARCHAR(255),
	message TEXT,
	htmlMessage TEXT,
	attachmentName VARCHAR(100),
	locked TINYINT(1) 
	) TYPE = MyISAM;
 
CREATE TABLE GLEmailMessage(
	id BIGINT(20) NOT NULL PRIMARY KEY AUTO_INCREMENT,
 	mailQueueId BIGINT(20) NOT NULL,
 	sent TINYINT(1) NOT NULL,
 	email VARCHAR(150) NOT NULL
 	) TYPE = MyISAM;
		
